Bug 528159 - warning in Fedora::Bugzilla
Summary: warning in Fedora::Bugzilla
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Fedora-Bugzilla
Version: 12
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-09 13:12 UTC by Marcela Mašláňová
Modified: 2010-12-04 07:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:31:42 UTC
Type: ---


Attachments (Terms of Use)

Description Marcela Mašláňová 2009-10-09 13:12:01 UTC
Could you please look at this problems?

WARNING: String found where Type expected (did you use a => instead of a , ?) at /usr/lib/perl5/vendor_perl/5.10.0/Fedora/Bugzilla/Types.pm line 39

WARNING: String found where Type expected (did you use a => instead of a , ?) at /usr/lib/perl5/vendor_perl/5.10.0/Fedora/Bugzilla/Types.pm line 44

Also in spec is missing 
Requires:       perl(RPC-XML)

Comment 1 Bug Zapper 2009-11-16 13:27:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Update System 2010-06-16 12:32:15 UTC
perl-Fedora-Bugzilla-0.13-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Fedora-Bugzilla-0.13-4.fc13

Comment 3 Fedora Update System 2010-06-16 12:46:33 UTC
perl-Fedora-Bugzilla-0.10-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Fedora-Bugzilla-0.10-3.fc12

Comment 4 Petr Pisar 2010-06-16 12:50:36 UTC
perl-Fedora-Bugzilla-0.10-3.fc12 adds missing Requires: perl(RPC-XML) only.

It's intentional because newer versions suffer from different problems (upstream is dead) and I didn't want to introduce regressions. More ever the warning does not present in F-13 and newer.

Comment 5 Fedora Update System 2010-07-07 17:38:20 UTC
perl-Fedora-Bugzilla-0.13-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-07-07 17:53:51 UTC
perl-Fedora-Bugzilla-0.10-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Bug Zapper 2010-11-04 09:34:08 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-12-04 07:31:42 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.